/*
 * WheelSpd1_capi.c
 *
 * Academic License - for use in teaching, academic research, and meeting
 * course requirements at degree granting institutions only.  Not for
 * government, commercial, or other organizational use.
 *
 * Code generation for model "WheelSpd1".
 *
 * Model version              : 1.397
 * Simulink Coder version : 8.14 (R2018a) 06-Feb-2018
 * C source code generated on : Tue Jul 11 16:56:29 2023
 *
 * Target selection: slrt.tlc
 * Note: GRT includes extra infrastructure and instrumentation for prototyping
 * Embedded hardware selection: Generic->32-bit x86 compatible
 * Code generation objectives: Unspecified
 * Validation result: Not run
 */

#include "rtw_capi.h"
#ifdef HOST_CAPI_BUILD
#include "WheelSpd1_capi_host.h"
#define sizeof(s)                      ((size_t)(0xFFFF))
#undef rt_offsetof
#define rt_offsetof(s,el)              ((uint16_T)(0xFFFF))
#define TARGET_CONST
#define TARGET_STRING(s)               (s)
#else                                  /* HOST_CAPI_BUILD */
#include "builtin_typeid_types.h"
#include "WheelSpd1.h"
#include "WheelSpd1_capi.h"
#include "WheelSpd1_private.h"
#ifdef LIGHT_WEIGHT_CAPI
#define TARGET_CONST
#define TARGET_STRING(s)               (NULL)
#else
#define TARGET_CONST                   const
#define TARGET_STRING(s)               (s)
#endif
#endif                                 /* HOST_CAPI_BUILD */

/* Block output signal information */
static const rtwCAPI_Signals rtBlockSignals[] = {
  /* addrMapIndex, sysNum, blockPath,
   * signalName, portNumber, dataTypeIndex, dimIndex, fxpIndex, sTimeIndex
   */
  { 0, 1, TARGET_STRING("DAQ_In/CAN Read1/p1"),
    TARGET_STRING(""), 0, 0, 0, 0, 0 },

  { 1, 1, TARGET_STRING("DAQ_In/CAN Read1/p2"),
    TARGET_STRING(""), 1, 1, 0, 0, 0 },

  { 2, 1, TARGET_STRING("DAQ_In/CAN Unpack2/p1"),
    TARGET_STRING("RPM"), 0, 2, 0, 0, 0 },

  { 3, 1, TARGET_STRING("DAQ_In/CAN Unpack2/p2"),
    TARGET_STRING("TQ"), 1, 2, 0, 0, 0 },

  { 4, 0, TARGET_STRING("Mon_Cont/ContM"),
    TARGET_STRING("ContMode"), 0, 2, 0, 0, 1 },

  { 5, 0, TARGET_STRING("Mon_Cont/ControlFlag"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 6, 2, TARGET_STRING("Mon_Cont/Gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 7, 3, TARGET_STRING("Mon_Cont/Gain1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 8, 0, TARGET_STRING("Mon_Cont/Memory"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 9, 0, TARGET_STRING("Mon_Cont/Multiport Switch"),
    TARGET_STRING("TargetSpd"), 0, 2, 0, 0, 2 },

  { 10, 0, TARGET_STRING("Mon_Cont/Product"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 11, 0, TARGET_STRING("Mon_Cont/Saturation"),
    TARGET_STRING("ControlOutput"), 0, 2, 0, 0, 2 },

  { 12, 0, TARGET_STRING("Mon_Cont/InputSine"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 13, 0, TARGET_STRING("Mon_Cont/Subtract"),
    TARGET_STRING("Error"), 0, 2, 0, 0, 2 },

  { 14, 0, TARGET_STRING("Mon_Cont/Subtract2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 15, 0, TARGET_STRING("DAQ_Out/CANBoard/Constant"),
    TARGET_STRING("Ready"), 0, 2, 0, 0, 1 },

  { 16, 0, TARGET_STRING("DAQ_Out/CANBoard/Constant1"),
    TARGET_STRING("Gear"), 0, 2, 0, 0, 1 },

  { 17, 0, TARGET_STRING("DAQ_Out/CANBoard/Constant2"),
    TARGET_STRING("BMS"), 0, 2, 0, 0, 1 },

  { 18, 0, TARGET_STRING("DAQ_Out/CANBoard/Constant3"),
    TARGET_STRING("PosTQLim"), 0, 2, 0, 0, 1 },

  { 19, 0, TARGET_STRING("DAQ_Out/CANBoard/Constant4"),
    TARGET_STRING("NegTQLim"), 0, 2, 0, 0, 1 },

  { 20, 0, TARGET_STRING("DAQ_Out/CANBoard/CAN Pack"),
    TARGET_STRING(""), 0, 1, 0, 0, 2 },

  { 21, 0, TARGET_STRING("Mon_Cont/Chirp Signal/Clock1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 22, 0, TARGET_STRING("Mon_Cont/Chirp Signal/Gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 23, 0, TARGET_STRING("Mon_Cont/Chirp Signal/Product"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 24, 3, TARGET_STRING("Mon_Cont/Chirp Signal/Product1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 25, 3, TARGET_STRING("Mon_Cont/Chirp Signal/Product2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 26, 3, TARGET_STRING("Mon_Cont/Chirp Signal/Sum"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 27, 3, TARGET_STRING("Mon_Cont/Chirp Signal/Output"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 28, 0, TARGET_STRING("Mon_Cont/DOB/Gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 29, 0, TARGET_STRING("Mon_Cont/DOB/Product2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 30, 0, TARGET_STRING("Mon_Cont/DOB/Product3"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 31, 0, TARGET_STRING("Mon_Cont/DOB/Product4"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 32, 0, TARGET_STRING("Mon_Cont/DOB/Add2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 33, 0, TARGET_STRING("Mon_Cont/DOB/Add3"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 34, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/Constant1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 35, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/Constant16"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 36, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/Constant17"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 37, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/Constant2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 38, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FBGain"),
    TARGET_STRING("FBOut"), 0, 2, 0, 0, 2 },

  { 39, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/Add"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 40, 0, TARGET_STRING("Mon_Cont/LPFM/gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 41, 0, TARGET_STRING("Mon_Cont/LPFM/gain1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 42, 0, TARGET_STRING("Mon_Cont/LPFM/gain2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 43, 0, TARGET_STRING("Mon_Cont/LPFM/Product1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 44, 0, TARGET_STRING("Mon_Cont/LPFM/Product11"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 45, 0, TARGET_STRING("Mon_Cont/LPFM/Product2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 46, 0, TARGET_STRING("Mon_Cont/LPFM/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 47, 0, TARGET_STRING("Mon_Cont/LPFM/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 48, 0, TARGET_STRING("Mon_Cont/LPFM/Sum3"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 49, 0, TARGET_STRING("Mon_Cont/LPFM/Sum4"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 50, 0, TARGET_STRING("Mon_Cont/LPFM/d"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 51, 0, TARGET_STRING("Mon_Cont/LPFM/d1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 52, 0, TARGET_STRING("Mon_Cont/Signal Builder/FromWs"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 53, 0, TARGET_STRING("Mon_Cont/DOB/Dot3/gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 54, 0, TARGET_STRING("Mon_Cont/DOB/Dot3/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 55, 0, TARGET_STRING("Mon_Cont/DOB/Dot3/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 56, 0, TARGET_STRING("Mon_Cont/DOB/Dot3/d"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 57, 0, TARGET_STRING("Mon_Cont/DOB/Dot3/d1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 58, 0, TARGET_STRING("Mon_Cont/DOB/Dot4/gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 59, 0, TARGET_STRING("Mon_Cont/DOB/Dot4/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 60, 0, TARGET_STRING("Mon_Cont/DOB/Dot4/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 61, 0, TARGET_STRING("Mon_Cont/DOB/Dot4/d"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 62, 0, TARGET_STRING("Mon_Cont/DOB/Dot4/d1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 63, 0, TARGET_STRING("Mon_Cont/DOB/Dot5/gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 64, 0, TARGET_STRING("Mon_Cont/DOB/Dot5/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 65, 0, TARGET_STRING("Mon_Cont/DOB/Dot5/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 66, 0, TARGET_STRING("Mon_Cont/DOB/Dot5/d"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 67, 0, TARGET_STRING("Mon_Cont/DOB/Dot5/d1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 68, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 69, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/gain1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 70, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/gain2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 71, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/Product1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 72, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/Product11"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 73, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/Product2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 74, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 75, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 76, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/Sum3"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 77, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/Sum4"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 78, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/d"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 79, 0, TARGET_STRING("Mon_Cont/DOB/LPFM/d1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 80, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/gain1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 81, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/gain2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 82, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/gain3"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 83, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/gain4"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 84, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Product1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 85, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Product2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 86, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Product3"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 87, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Product4"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 88, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/x(n), x(n-1), x(n-2)"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 89, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/y(n-1)"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 90, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/y(n-2)"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 91, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 92, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 93, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Sum3"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 94, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Sum4"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 95, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Sum5"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 96, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Sum6"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 97, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 98, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 99, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 100, 0, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay3"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 101, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/Multiport Switch1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 102, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/FFGain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 103, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 104, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Product"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 105, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Product1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 106, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Product2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 107, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Add5"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 108, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/P/Kp"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 109, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/P/Gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 110, 5, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/P/Product"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 111, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Ki"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 112, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Kp"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 113, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/gain "),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 114, 4, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Divide1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 115, 4, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Divide2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 116, 4, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Add"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 117, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot/gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 118, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 119, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 120, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot/d"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 121, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot/d1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 122, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot2/gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 123, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot2/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 124, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot2/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 125, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot2/d"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 126, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot2/d1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 127, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot3/gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 128, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot3/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 129, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot3/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 130, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot3/d"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 131, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot3/d1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 132, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 133, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/gain1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 134, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/gain2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 135, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/Product1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 136, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/Product11"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 137, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/Product2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 138, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 139, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 140, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/Sum3"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 141, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/Sum4"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 142, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/d"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 143, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/d1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 144, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/gain1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 145, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/gain2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 146, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/gain3"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 147, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/gain4"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 148, 0, TARGET_STRING(
    "Mon_Cont/FF+PID Controller/FF/Second order LPF/Product1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 149, 0, TARGET_STRING(
    "Mon_Cont/FF+PID Controller/FF/Second order LPF/Product2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 150, 0, TARGET_STRING(
    "Mon_Cont/FF+PID Controller/FF/Second order LPF/Product3"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 151, 0, TARGET_STRING(
    "Mon_Cont/FF+PID Controller/FF/Second order LPF/Product4"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 152, 0, TARGET_STRING(
    "Mon_Cont/FF+PID Controller/FF/Second order LPF/x(n), x(n-1), x(n-2)"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 153, 0, TARGET_STRING(
    "Mon_Cont/FF+PID Controller/FF/Second order LPF/y(n-1)"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 154, 0, TARGET_STRING(
    "Mon_Cont/FF+PID Controller/FF/Second order LPF/y(n-2)"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 155, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 156, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 157, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Sum3"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 158, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Sum4"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 159, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Sum5"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 160, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Sum6"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 161, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 162, 0, TARGET_STRING(
    "Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 163, 0, TARGET_STRING(
    "Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 164, 0, TARGET_STRING(
    "Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay3"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 165, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/gain2"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 166, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/gain3"),
    TARGET_STRING("2*tau"), 0, 2, 0, 0, 1 },

  { 167, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/Product1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 168, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/Product11"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 169, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/Product2"),
    TARGET_STRING("tau"), 0, 2, 0, 0, 1 },

  { 170, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/Product3"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 171, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 172, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 173, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/Sum3"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 174, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/Sum4"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 175, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/d"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 176, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/d1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 177, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Integrator1/gain"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 178, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Integrator1/Sum1"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 179, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Integrator1/Sum2"),
    TARGET_STRING(""), 0, 2, 0, 0, 2 },

  { 180, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Integrator1/d"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  { 181, 0, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Integrator1/d1"),
    TARGET_STRING(""), 0, 2, 0, 0, 1 },

  {
    0, 0, (NULL), (NULL), 0, 0, 0, 0, 0
  }
};

static const rtwCAPI_BlockParameters rtBlockParameters[] = {
  /* addrMapIndex, blockPath,
   * paramName, dataTypeIndex, dimIndex, fixPtIdx
   */
  { 182, TARGET_STRING("DAQ_In/CAN Read1"),
    TARGET_STRING("P1"), 2, 0, 0 },

  { 183, TARGET_STRING("DAQ_In/CAN Read1"),
    TARGET_STRING("P2"), 2, 0, 0 },

  { 184, TARGET_STRING("DAQ_In/CAN Read1"),
    TARGET_STRING("P3"), 2, 0, 0 },

  { 185, TARGET_STRING("DAQ_In/CAN Read1"),
    TARGET_STRING("P4"), 2, 1, 0 },

  { 186, TARGET_STRING("DAQ_In/CAN Read1"),
    TARGET_STRING("P5"), 2, 0, 0 },

  { 187, TARGET_STRING("DAQ_In/CAN Read1"),
    TARGET_STRING("P6"), 2, 0, 0 },

  { 188, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P1"), 2, 0, 0 },

  { 189, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P2"), 2, 2, 0 },

  { 190, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P3"), 2, 0, 0 },

  { 191, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P4"), 2, 0, 0 },

  { 192, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P5"), 2, 0, 0 },

  { 193, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P6"), 2, 0, 0 },

  { 194, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P7"), 2, 3, 0 },

  { 195, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P8"), 2, 4, 0 },

  { 196, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P9"), 2, 2, 0 },

  { 197, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P10"), 2, 2, 0 },

  { 198, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P11"), 2, 0, 0 },

  { 199, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P12"), 2, 3, 0 },

  { 200, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P13"), 2, 4, 0 },

  { 201, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P14"), 2, 2, 0 },

  { 202, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P15"), 2, 2, 0 },

  { 203, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P16"), 2, 0, 0 },

  { 204, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P17"), 2, 0, 0 },

  { 205, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P18"), 2, 1, 0 },

  { 206, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P19"), 2, 0, 0 },

  { 207, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P20"), 2, 2, 0 },

  { 208, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P21"), 2, 2, 0 },

  { 209, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P22"), 2, 2, 0 },

  { 210, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P23"), 2, 2, 0 },

  { 211, TARGET_STRING("DAQ_In/CAN Setup"),
    TARGET_STRING("P24"), 2, 0, 0 },

  { 212, TARGET_STRING("Mon_Cont/Chirp Signal"),
    TARGET_STRING("f1"), 2, 0, 0 },

  { 213, TARGET_STRING("Mon_Cont/Chirp Signal"),
    TARGET_STRING("T"), 2, 0, 0 },

  { 214, TARGET_STRING("Mon_Cont/Chirp Signal"),
    TARGET_STRING("f2"), 2, 0, 0 },

  { 215, TARGET_STRING("Mon_Cont/Constant1"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 216, TARGET_STRING("Mon_Cont/ContMode"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 217, TARGET_STRING("Mon_Cont/DOBFlag"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 218, TARGET_STRING("Mon_Cont/InputSelector"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 219, TARGET_STRING("Mon_Cont/Pole"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 220, TARGET_STRING("Mon_Cont/Qfilter2"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 221, TARGET_STRING("Mon_Cont/ContM"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 222, TARGET_STRING("Mon_Cont/ControlFlag"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 223, TARGET_STRING("Mon_Cont/Gain"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 224, TARGET_STRING("Mon_Cont/Gain1"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 225, TARGET_STRING("Mon_Cont/Memory"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 226, TARGET_STRING("Mon_Cont/Saturation"),
    TARGET_STRING("UpperLimit"), 2, 0, 0 },

  { 227, TARGET_STRING("Mon_Cont/Saturation"),
    TARGET_STRING("LowerLimit"), 2, 0, 0 },

  { 228, TARGET_STRING("Mon_Cont/InputSine"),
    TARGET_STRING("Amplitude"), 2, 0, 0 },

  { 229, TARGET_STRING("Mon_Cont/InputSine"),
    TARGET_STRING("Bias"), 2, 0, 0 },

  { 230, TARGET_STRING("Mon_Cont/InputSine"),
    TARGET_STRING("Frequency"), 2, 0, 0 },

  { 231, TARGET_STRING("Mon_Cont/InputSine"),
    TARGET_STRING("Phase"), 2, 0, 0 },

  { 232, TARGET_STRING("DAQ_Out/CANBoard/Constant"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 233, TARGET_STRING("DAQ_Out/CANBoard/Constant1"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 234, TARGET_STRING("DAQ_Out/CANBoard/Constant2"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 235, TARGET_STRING("DAQ_Out/CANBoard/Constant3"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 236, TARGET_STRING("DAQ_Out/CANBoard/Constant4"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 237, TARGET_STRING("DAQ_Out/CANBoard/CAN Write1"),
    TARGET_STRING("P1"), 2, 0, 0 },

  { 238, TARGET_STRING("DAQ_Out/CANBoard/CAN Write1"),
    TARGET_STRING("P2"), 2, 0, 0 },

  { 239, TARGET_STRING("DAQ_Out/CANBoard/CAN Write1"),
    TARGET_STRING("P3"), 2, 0, 0 },

  { 240, TARGET_STRING("DAQ_Out/CANBoard/CAN Write1"),
    TARGET_STRING("P4"), 2, 0, 0 },

  { 241, TARGET_STRING("DAQ_Out/CANBoard/CAN Write1"),
    TARGET_STRING("P5"), 2, 1, 0 },

  { 242, TARGET_STRING("DAQ_Out/CANBoard/CAN Write1"),
    TARGET_STRING("P6"), 2, 0, 0 },

  { 243, TARGET_STRING("DAQ_Out/CANBoard/CAN Write1"),
    TARGET_STRING("P7"), 2, 0, 0 },

  { 244, TARGET_STRING("Mon_Cont/Chirp Signal/Gain"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 245, TARGET_STRING("Mon_Cont/DOB/zeta1"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 246, TARGET_STRING("Mon_Cont/FF+PID Controller/BW_P"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 247, TARGET_STRING("Mon_Cont/FF+PID Controller/BW_PI"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 248, TARGET_STRING("Mon_Cont/FF+PID Controller/FF_CutoffFreq"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 249, TARGET_STRING("Mon_Cont/FF+PID Controller/Selector"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 250, TARGET_STRING("Mon_Cont/FF+PID Controller/FBGain"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 251, TARGET_STRING("Mon_Cont/LPFM/Constant1"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 252, TARGET_STRING("Mon_Cont/LPFM/gain1"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 253, TARGET_STRING("Mon_Cont/LPFM/gain2"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 254, TARGET_STRING("Mon_Cont/LPFM/d"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 255, TARGET_STRING("Mon_Cont/LPFM/d1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 256, TARGET_STRING("Mon_Cont/DOB/Dot3/d"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 257, TARGET_STRING("Mon_Cont/DOB/Dot3/d1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 258, TARGET_STRING("Mon_Cont/DOB/Dot4/d"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 259, TARGET_STRING("Mon_Cont/DOB/Dot4/d1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 260, TARGET_STRING("Mon_Cont/DOB/Dot5/d"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 261, TARGET_STRING("Mon_Cont/DOB/Dot5/d1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 262, TARGET_STRING("Mon_Cont/DOB/LPFM/Constant1"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 263, TARGET_STRING("Mon_Cont/DOB/LPFM/gain1"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 264, TARGET_STRING("Mon_Cont/DOB/LPFM/gain2"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 265, TARGET_STRING("Mon_Cont/DOB/LPFM/d"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 266, TARGET_STRING("Mon_Cont/DOB/LPFM/d1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 267, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Constant1"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 268, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Constant2"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 269, TARGET_STRING("Mon_Cont/DOB/Second order LPF/gain1"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 270, TARGET_STRING("Mon_Cont/DOB/Second order LPF/gain2"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 271, TARGET_STRING("Mon_Cont/DOB/Second order LPF/gain3"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 272, TARGET_STRING("Mon_Cont/DOB/Second order LPF/gain4"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 273, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay"),
    TARGET_STRING("DelayLength"), 3, 0, 0 },

  { 274, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 275, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay1"),
    TARGET_STRING("DelayLength"), 3, 0, 0 },

  { 276, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 277, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay2"),
    TARGET_STRING("DelayLength"), 3, 0, 0 },

  { 278, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay2"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 279, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay3"),
    TARGET_STRING("DelayLength"), 3, 0, 0 },

  { 280, TARGET_STRING("Mon_Cont/DOB/Second order LPF/Delay3"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 281, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Constant1"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 282, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/zeta"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 283, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/FFGain"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 284, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/P/Gain"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 285, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Constant"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 286, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/gain "),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 287, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot/d"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 288, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot/d1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 289, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot2/d"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 290, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot2/d1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 291, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot3/d"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 292, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Dot3/d1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 293, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/Constant1"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 294, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/gain1"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 295, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/gain2"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 296, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/d"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 297, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/LPFM/d1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 298, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Constant1"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 299, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Constant2"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 300, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/gain1"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 301, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/gain2"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 302, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/gain3"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 303, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/gain4"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 304, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay"),
    TARGET_STRING("DelayLength"), 3, 0, 0 },

  { 305, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 306, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay1"),
    TARGET_STRING("DelayLength"), 3, 0, 0 },

  { 307, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 308, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay2"),
    TARGET_STRING("DelayLength"), 3, 0, 0 },

  { 309, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay2"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 310, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay3"),
    TARGET_STRING("DelayLength"), 3, 0, 0 },

  { 311, TARGET_STRING("Mon_Cont/FF+PID Controller/FF/Second order LPF/Delay3"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 312, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/Constant1"),
    TARGET_STRING("Value"), 2, 0, 0 },

  { 313, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/gain2"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 314, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/gain3"),
    TARGET_STRING("Gain"), 2, 0, 0 },

  { 315, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/d"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 316, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/HPF/d1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 317, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Integrator1/d"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  { 318, TARGET_STRING("Mon_Cont/FF+PID Controller/FB/PI/Integrator1/d1"),
    TARGET_STRING("InitialCondition"), 2, 0, 0 },

  {
    0, (NULL), (NULL), 0, 0, 0
  }
};

/* Tunable variable parameters */
static const rtwCAPI_ModelParameters rtModelParameters[] = {
  /* addrMapIndex, varName, dataTypeIndex, dimIndex, fixPtIndex */
  { 319, TARGET_STRING("K"), 2, 0, 0 },

  { 320, TARGET_STRING("P"), 2, 0, 0 },

  { 321, TARGET_STRING("Ts"), 2, 0, 0 },

  { 322, TARGET_STRING("Wn"), 2, 0, 0 },

  { 323, TARGET_STRING("jeta"), 2, 0, 0 },

  { 0, (NULL), 0, 0, 0 }
};

#ifndef HOST_CAPI_BUILD

/* Declare Data Addresses statically */
static void* rtDataAddrMap[] = {
  &WheelSpd1_B.CANRead1_o1,            /* 0: Signal */
  &WheelSpd1_B.CANRead1_o2,            /* 1: Signal */
  &WheelSpd1_B.RPM,                    /* 2: Signal */
  &WheelSpd1_B.TQ,                     /* 3: Signal */
  &WheelSpd1_B.ContMode,               /* 4: Signal */
  &WheelSpd1_B.ControlFlag,            /* 5: Signal */
  &WheelSpd1_B.Gain_d,                 /* 6: Signal */
  &WheelSpd1_B.Gain1,                  /* 7: Signal */
  &WheelSpd1_B.Memory,                 /* 8: Signal */
  &WheelSpd1_B.TargetSpd,              /* 9: Signal */
  &WheelSpd1_B.Product_d,              /* 10: Signal */
  &WheelSpd1_B.ControlOutput,          /* 11: Signal */
  &WheelSpd1_B.InputSine,              /* 12: Signal */
  &WheelSpd1_B.Error,                  /* 13: Signal */
  &WheelSpd1_B.Subtract2,              /* 14: Signal */
  &WheelSpd1_B.Ready,                  /* 15: Signal */
  &WheelSpd1_B.Gear,                   /* 16: Signal */
  &WheelSpd1_B.BMS,                    /* 17: Signal */
  &WheelSpd1_B.PosTQLim,               /* 18: Signal */
  &WheelSpd1_B.NegTQLim,               /* 19: Signal */
  &WheelSpd1_B.CANPack,                /* 20: Signal */
  &WheelSpd1_B.Clock1,                 /* 21: Signal */
  &WheelSpd1_B.Gain,                   /* 22: Signal */
  &WheelSpd1_B.Product,                /* 23: Signal */
  &WheelSpd1_B.Product1_lf,            /* 24: Signal */
  &WheelSpd1_B.Product2_g,             /* 25: Signal */
  &WheelSpd1_B.Sum,                    /* 26: Signal */
  &WheelSpd1_B.Output,                 /* 27: Signal */
  &WheelSpd1_B.Gain_c,                 /* 28: Signal */
  &WheelSpd1_B.Product2_l,             /* 29: Signal */
  &WheelSpd1_B.Product3_f,             /* 30: Signal */
  &WheelSpd1_B.Product4_o,             /* 31: Signal */
  &WheelSpd1_B.Add2,                   /* 32: Signal */
  &WheelSpd1_B.Add3,                   /* 33: Signal */
  &WheelSpd1_B.Constant1,              /* 34: Signal */
  &WheelSpd1_B.Constant16,             /* 35: Signal */
  &WheelSpd1_B.Constant17,             /* 36: Signal */
  &WheelSpd1_B.Constant2,              /* 37: Signal */
  &WheelSpd1_B.FBOut,                  /* 38: Signal */
  &WheelSpd1_B.Add,                    /* 39: Signal */
  &WheelSpd1_B.gain,                   /* 40: Signal */
  &WheelSpd1_B.gain1,                  /* 41: Signal */
  &WheelSpd1_B.gain2,                  /* 42: Signal */
  &WheelSpd1_B.Product1,               /* 43: Signal */
  &WheelSpd1_B.Product11,              /* 44: Signal */
  &WheelSpd1_B.Product2,               /* 45: Signal */
  &WheelSpd1_B.Sum1,                   /* 46: Signal */
  &WheelSpd1_B.Sum2,                   /* 47: Signal */
  &WheelSpd1_B.Sum3,                   /* 48: Signal */
  &WheelSpd1_B.Sum4,                   /* 49: Signal */
  &WheelSpd1_B.d,                      /* 50: Signal */
  &WheelSpd1_B.d1,                     /* 51: Signal */
  &WheelSpd1_B.FromWs,                 /* 52: Signal */
  &WheelSpd1_B.gain_j,                 /* 53: Signal */
  &WheelSpd1_B.Sum1_m,                 /* 54: Signal */
  &WheelSpd1_B.Sum2_hn,                /* 55: Signal */
  &WheelSpd1_B.d_in,                   /* 56: Signal */
  &WheelSpd1_B.d1_e,                   /* 57: Signal */
  &WheelSpd1_B.gain_g,                 /* 58: Signal */
  &WheelSpd1_B.Sum1_f,                 /* 59: Signal */
  &WheelSpd1_B.Sum2_kl,                /* 60: Signal */
  &WheelSpd1_B.d_n,                    /* 61: Signal */
  &WheelSpd1_B.d1_bp,                  /* 62: Signal */
  &WheelSpd1_B.gain_gz,                /* 63: Signal */
  &WheelSpd1_B.Sum1_g,                 /* 64: Signal */
  &WheelSpd1_B.Sum2_a,                 /* 65: Signal */
  &WheelSpd1_B.d_cu,                   /* 66: Signal */
  &WheelSpd1_B.d1_di,                  /* 67: Signal */
  &WheelSpd1_B.gain_o3,                /* 68: Signal */
  &WheelSpd1_B.gain1_k,                /* 69: Signal */
  &WheelSpd1_B.gain2_m,                /* 70: Signal */
  &WheelSpd1_B.Product1_l,             /* 71: Signal */
  &WheelSpd1_B.Product11_i,            /* 72: Signal */
  &WheelSpd1_B.Product2_h,             /* 73: Signal */
  &WheelSpd1_B.Sum1_e,                 /* 74: Signal */
  &WheelSpd1_B.Sum2_b,                 /* 75: Signal */
  &WheelSpd1_B.Sum3_f,                 /* 76: Signal */
  &WheelSpd1_B.Sum4_k,                 /* 77: Signal */
  &WheelSpd1_B.d_p,                    /* 78: Signal */
  &WheelSpd1_B.d1_n,                   /* 79: Signal */
  &WheelSpd1_B.gain1_f,                /* 80: Signal */
  &WheelSpd1_B.gain2_d,                /* 81: Signal */
  &WheelSpd1_B.gain3_b,                /* 82: Signal */
  &WheelSpd1_B.gain4_g,                /* 83: Signal */
  &WheelSpd1_B.Product1_fm,            /* 84: Signal */
  &WheelSpd1_B.Product2_m,             /* 85: Signal */
  &WheelSpd1_B.Product3_i,             /* 86: Signal */
  &WheelSpd1_B.Product4_i,             /* 87: Signal */
  &WheelSpd1_B.xnxn1xn2_a,             /* 88: Signal */
  &WheelSpd1_B.yn1_m,                  /* 89: Signal */
  &WheelSpd1_B.yn2_g,                  /* 90: Signal */
  &WheelSpd1_B.Sum1_ek,                /* 91: Signal */
  &WheelSpd1_B.Sum2_m,                 /* 92: Signal */
  &WheelSpd1_B.Sum3_a,                 /* 93: Signal */
  &WheelSpd1_B.Sum4_kn,                /* 94: Signal */
  &WheelSpd1_B.Sum5_f,                 /* 95: Signal */
  &WheelSpd1_B.Sum6_g,                 /* 96: Signal */
  &WheelSpd1_B.Delay_a,                /* 97: Signal */
  &WheelSpd1_B.Delay1_n,               /* 98: Signal */
  &WheelSpd1_B.Delay2_n,               /* 99: Signal */
  &WheelSpd1_B.Delay3_i,               /* 100: Signal */
  &WheelSpd1_B.MultiportSwitch1,       /* 101: Signal */
  &WheelSpd1_B.FFGain,                 /* 102: Signal */
  &WheelSpd1_B.Gain_l,                 /* 103: Signal */
  &WheelSpd1_B.Product_n,              /* 104: Signal */
  &WheelSpd1_B.Product1_f,             /* 105: Signal */
  &WheelSpd1_B.Product2_c,             /* 106: Signal */
  &WheelSpd1_B.Add5,                   /* 107: Signal */
  &WheelSpd1_B.Kp,                     /* 108: Signal */
  &WheelSpd1_B.Gain_a,                 /* 109: Signal */
  &WheelSpd1_B.Product_k,              /* 110: Signal */
  &WheelSpd1_B.Ki,                     /* 111: Signal */
  &WheelSpd1_B.Kp_b,                   /* 112: Signal */
  &WheelSpd1_B.gain_mk,                /* 113: Signal */
  &WheelSpd1_B.Divide1,                /* 114: Signal */
  &WheelSpd1_B.Divide2,                /* 115: Signal */
  &WheelSpd1_B.Add_k,                  /* 116: Signal */
  &WheelSpd1_B.gain_m,                 /* 117: Signal */
  &WheelSpd1_B.Sum1_n,                 /* 118: Signal */
  &WheelSpd1_B.Sum2_h,                 /* 119: Signal */
  &WheelSpd1_B.d_a,                    /* 120: Signal */
  &WheelSpd1_B.d1_d,                   /* 121: Signal */
  &WheelSpd1_B.gain_o,                 /* 122: Signal */
  &WheelSpd1_B.Sum1_p,                 /* 123: Signal */
  &WheelSpd1_B.Sum2_g,                 /* 124: Signal */
  &WheelSpd1_B.d_b,                    /* 125: Signal */
  &WheelSpd1_B.d1_c,                   /* 126: Signal */
  &WheelSpd1_B.gain_d,                 /* 127: Signal */
  &WheelSpd1_B.Sum1_k,                 /* 128: Signal */
  &WheelSpd1_B.Sum2_k,                 /* 129: Signal */
  &WheelSpd1_B.d_bp,                   /* 130: Signal */
  &WheelSpd1_B.d1_f,                   /* 131: Signal */
  &WheelSpd1_B.gain_e,                 /* 132: Signal */
  &WheelSpd1_B.gain1_gt,               /* 133: Signal */
  &WheelSpd1_B.gain2_k,                /* 134: Signal */
  &WheelSpd1_B.Product1_i,             /* 135: Signal */
  &WheelSpd1_B.Product11_e,            /* 136: Signal */
  &WheelSpd1_B.Product2_p,             /* 137: Signal */
  &WheelSpd1_B.Sum1_px,                /* 138: Signal */
  &WheelSpd1_B.Sum2_kk,                /* 139: Signal */
  &WheelSpd1_B.Sum3_c,                 /* 140: Signal */
  &WheelSpd1_B.Sum4_l,                 /* 141: Signal */
  &WheelSpd1_B.d_i,                    /* 142: Signal */
  &WheelSpd1_B.d1_b,                   /* 143: Signal */
  &WheelSpd1_B.gain1_g,                /* 144: Signal */
  &WheelSpd1_B.gain2_h,                /* 145: Signal */
  &WheelSpd1_B.gain3,                  /* 146: Signal */
  &WheelSpd1_B.gain4,                  /* 147: Signal */
  &WheelSpd1_B.Product1_n,             /* 148: Signal */
  &WheelSpd1_B.Product2_e,             /* 149: Signal */
  &WheelSpd1_B.Product3,               /* 150: Signal */
  &WheelSpd1_B.Product4,               /* 151: Signal */
  &WheelSpd1_B.xnxn1xn2,               /* 152: Signal */
  &WheelSpd1_B.yn1,                    /* 153: Signal */
  &WheelSpd1_B.yn2,                    /* 154: Signal */
  &WheelSpd1_B.Sum1_a,                 /* 155: Signal */
  &WheelSpd1_B.Sum2_c,                 /* 156: Signal */
  &WheelSpd1_B.Sum3_d,                 /* 157: Signal */
  &WheelSpd1_B.Sum4_c,                 /* 158: Signal */
  &WheelSpd1_B.Sum5,                   /* 159: Signal */
  &WheelSpd1_B.Sum6,                   /* 160: Signal */
  &WheelSpd1_B.Delay,                  /* 161: Signal */
  &WheelSpd1_B.Delay1,                 /* 162: Signal */
  &WheelSpd1_B.Delay2,                 /* 163: Signal */
  &WheelSpd1_B.Delay3,                 /* 164: Signal */
  &WheelSpd1_B.gain2_n,                /* 165: Signal */
  &WheelSpd1_B.utau,                   /* 166: Signal */
  &WheelSpd1_B.Product1_a,             /* 167: Signal */
  &WheelSpd1_B.Product11_n,            /* 168: Signal */
  &WheelSpd1_B.tau,                    /* 169: Signal */
  &WheelSpd1_B.Product3_e,             /* 170: Signal */
  &WheelSpd1_B.Sum1_i,                 /* 171: Signal */
  &WheelSpd1_B.Sum2_j,                 /* 172: Signal */
  &WheelSpd1_B.Sum3_g,                 /* 173: Signal */
  &WheelSpd1_B.Sum4_a,                 /* 174: Signal */
  &WheelSpd1_B.d_j,                    /* 175: Signal */
  &WheelSpd1_B.d1_p,                   /* 176: Signal */
  &WheelSpd1_B.gain_ds,                /* 177: Signal */
  &WheelSpd1_B.Sum1_d,                 /* 178: Signal */
  &WheelSpd1_B.Sum2_l,                 /* 179: Signal */
  &WheelSpd1_B.d_c,                    /* 180: Signal */
  &WheelSpd1_B.d1_cf,                  /* 181: Signal */
  &WheelSpd1_P.CANRead1_P1,            /* 182: Block Parameter */
  &WheelSpd1_P.CANRead1_P2,            /* 183: Block Parameter */
  &WheelSpd1_P.CANRead1_P3,            /* 184: Block Parameter */
  &WheelSpd1_P.CANRead1_P4[0],         /* 185: Block Parameter */
  &WheelSpd1_P.CANRead1_P5,            /* 186: Block Parameter */
  &WheelSpd1_P.CANRead1_P6,            /* 187: Block Parameter */
  &WheelSpd1_P.CANSetup_P1,            /* 188: Block Parameter */
  &WheelSpd1_P.CANSetup_P2[0],         /* 189: Block Parameter */
  &WheelSpd1_P.CANSetup_P3,            /* 190: Block Parameter */
  &WheelSpd1_P.CANSetup_P4,            /* 191: Block Parameter */
  &WheelSpd1_P.CANSetup_P5,            /* 192: Block Parameter */
  &WheelSpd1_P.CANSetup_P6,            /* 193: Block Parameter */
  &WheelSpd1_P.CANSetup_P7[0],         /* 194: Block Parameter */
  &WheelSpd1_P.CANSetup_P8[0],         /* 195: Block Parameter */
  &WheelSpd1_P.CANSetup_P9[0],         /* 196: Block Parameter */
  &WheelSpd1_P.CANSetup_P10[0],        /* 197: Block Parameter */
  &WheelSpd1_P.CANSetup_P11,           /* 198: Block Parameter */
  &WheelSpd1_P.CANSetup_P12[0],        /* 199: Block Parameter */
  &WheelSpd1_P.CANSetup_P13[0],        /* 200: Block Parameter */
  &WheelSpd1_P.CANSetup_P14[0],        /* 201: Block Parameter */
  &WheelSpd1_P.CANSetup_P15[0],        /* 202: Block Parameter */
  &WheelSpd1_P.CANSetup_P16,           /* 203: Block Parameter */
  &WheelSpd1_P.CANSetup_P17,           /* 204: Block Parameter */
  &WheelSpd1_P.CANSetup_P18[0],        /* 205: Block Parameter */
  &WheelSpd1_P.CANSetup_P19,           /* 206: Block Parameter */
  &WheelSpd1_P.CANSetup_P20[0],        /* 207: Block Parameter */
  &WheelSpd1_P.CANSetup_P21[0],        /* 208: Block Parameter */
  &WheelSpd1_P.CANSetup_P22[0],        /* 209: Block Parameter */
  &WheelSpd1_P.CANSetup_P23[0],        /* 210: Block Parameter */
  &WheelSpd1_P.CANSetup_P24,           /* 211: Block Parameter */
  &WheelSpd1_P.ChirpSignal_f1,         /* 212: Mask Parameter */
  &WheelSpd1_P.ChirpSignal_T,          /* 213: Mask Parameter */
  &WheelSpd1_P.ChirpSignal_f2,         /* 214: Mask Parameter */
  &WheelSpd1_P.Constant1_Value_a,      /* 215: Block Parameter */
  &WheelSpd1_P.ContMode_Value,         /* 216: Block Parameter */
  &WheelSpd1_P.DOBFlag_Value,          /* 217: Block Parameter */
  &WheelSpd1_P.InputSelector_Value,    /* 218: Block Parameter */
  &WheelSpd1_P.Pole_Value,             /* 219: Block Parameter */
  &WheelSpd1_P.Qfilter2_Value,         /* 220: Block Parameter */
  &WheelSpd1_P.ContM_Gain,             /* 221: Block Parameter */
  &WheelSpd1_P.ControlFlag_Gain,       /* 222: Block Parameter */
  &WheelSpd1_P.Gain_Gain,              /* 223: Block Parameter */
  &WheelSpd1_P.Gain1_Gain,             /* 224: Block Parameter */
  &WheelSpd1_P.Memory_InitialCondition,/* 225: Block Parameter */
  &WheelSpd1_P.Saturation_UpperSat,    /* 226: Block Parameter */
  &WheelSpd1_P.Saturation_LowerSat,    /* 227: Block Parameter */
  &WheelSpd1_P.InputSine_Amp,          /* 228: Block Parameter */
  &WheelSpd1_P.InputSine_Bias,         /* 229: Block Parameter */
  &WheelSpd1_P.InputSine_Freq,         /* 230: Block Parameter */
  &WheelSpd1_P.InputSine_Phase,        /* 231: Block Parameter */
  &WheelSpd1_P.Constant_Value,         /* 232: Block Parameter */
  &WheelSpd1_P.Constant1_Value,        /* 233: Block Parameter */
  &WheelSpd1_P.Constant2_Value,        /* 234: Block Parameter */
  &WheelSpd1_P.Constant3_Value,        /* 235: Block Parameter */
  &WheelSpd1_P.Constant4_Value,        /* 236: Block Parameter */
  &WheelSpd1_P.CANWrite1_P1,           /* 237: Block Parameter */
  &WheelSpd1_P.CANWrite1_P2,           /* 238: Block Parameter */
  &WheelSpd1_P.CANWrite1_P3,           /* 239: Block Parameter */
  &WheelSpd1_P.CANWrite1_P4,           /* 240: Block Parameter */
  &WheelSpd1_P.CANWrite1_P5[0],        /* 241: Block Parameter */
  &WheelSpd1_P.CANWrite1_P6,           /* 242: Block Parameter */
  &WheelSpd1_P.CANWrite1_P7,           /* 243: Block Parameter */
  &WheelSpd1_P.Gain_Gain_a,            /* 244: Block Parameter */
  &WheelSpd1_P.zeta1_Value,            /* 245: Block Parameter */
  &WheelSpd1_P.BW_P_Value,             /* 246: Block Parameter */
  &WheelSpd1_P.BW_PI_Value,            /* 247: Block Parameter */
  &WheelSpd1_P.FF_CutoffFreq_Value,    /* 248: Block Parameter */
  &WheelSpd1_P.Selector_Value,         /* 249: Block Parameter */
  &WheelSpd1_P.FBGain_Gain,            /* 250: Block Parameter */
  &WheelSpd1_P.Constant1_Value_n,      /* 251: Block Parameter */
  &WheelSpd1_P.gain1_Gain,             /* 252: Block Parameter */
  &WheelSpd1_P.gain2_Gain,             /* 253: Block Parameter */
  &WheelSpd1_P.d_InitialCondition,     /* 254: Block Parameter */
  &WheelSpd1_P.d1_InitialCondition,    /* 255: Block Parameter */
  &WheelSpd1_P.d_InitialCondition_k,   /* 256: Block Parameter */
  &WheelSpd1_P.d1_InitialCondition_e1, /* 257: Block Parameter */
  &WheelSpd1_P.d_InitialCondition_be,  /* 258: Block Parameter */
  &WheelSpd1_P.d1_InitialCondition_h,  /* 259: Block Parameter */
  &WheelSpd1_P.d_InitialCondition_k0,  /* 260: Block Parameter */
  &WheelSpd1_P.d1_InitialCondition_d,  /* 261: Block Parameter */
  &WheelSpd1_P.Constant1_Value_id,     /* 262: Block Parameter */
  &WheelSpd1_P.gain1_Gain_f2,          /* 263: Block Parameter */
  &WheelSpd1_P.gain2_Gain_a,           /* 264: Block Parameter */
  &WheelSpd1_P.d_InitialCondition_kh,  /* 265: Block Parameter */
  &WheelSpd1_P.d1_InitialCondition_c,  /* 266: Block Parameter */
  &WheelSpd1_P.Constant1_Value_e,      /* 267: Block Parameter */
  &WheelSpd1_P.Constant2_Value_h,      /* 268: Block Parameter */
  &WheelSpd1_P.gain1_Gain_n,           /* 269: Block Parameter */
  &WheelSpd1_P.gain2_Gain_f,           /* 270: Block Parameter */
  &WheelSpd1_P.gain3_Gain_d,           /* 271: Block Parameter */
  &WheelSpd1_P.gain4_Gain_i,           /* 272: Block Parameter */
  &WheelSpd1_P.Delay_DelayLength_f,    /* 273: Block Parameter */
  &WheelSpd1_P.Delay_InitialCondition_c,/* 274: Block Parameter */
  &WheelSpd1_P.Delay1_DelayLength_g,   /* 275: Block Parameter */
  &WheelSpd1_P.Delay1_InitialCondition_c,/* 276: Block Parameter */
  &WheelSpd1_P.Delay2_DelayLength_c,   /* 277: Block Parameter */
  &WheelSpd1_P.Delay2_InitialCondition_c,/* 278: Block Parameter */
  &WheelSpd1_P.Delay3_DelayLength_g,   /* 279: Block Parameter */
  &WheelSpd1_P.Delay3_InitialCondition_f,/* 280: Block Parameter */
  &WheelSpd1_P.Constant1_Value_i,      /* 281: Block Parameter */
  &WheelSpd1_P.zeta_Value,             /* 282: Block Parameter */
  &WheelSpd1_P.FFGain_Gain,            /* 283: Block Parameter */
  &WheelSpd1_P.Gain_Gain_n,            /* 284: Block Parameter */
  &WheelSpd1_P.Constant_Value_d,       /* 285: Block Parameter */
  &WheelSpd1_P.gain_Gain,              /* 286: Block Parameter */
  &WheelSpd1_P.d_InitialCondition_j,   /* 287: Block Parameter */
  &WheelSpd1_P.d1_InitialCondition_p,  /* 288: Block Parameter */
  &WheelSpd1_P.d_InitialCondition_b,   /* 289: Block Parameter */
  &WheelSpd1_P.d1_InitialCondition_j,  /* 290: Block Parameter */
  &WheelSpd1_P.d_InitialCondition_f,   /* 291: Block Parameter */
  &WheelSpd1_P.d1_InitialCondition_l,  /* 292: Block Parameter */
  &WheelSpd1_P.Constant1_Value_h,      /* 293: Block Parameter */
  &WheelSpd1_P.gain1_Gain_f,           /* 294: Block Parameter */
  &WheelSpd1_P.gain2_Gain_po,          /* 295: Block Parameter */
  &WheelSpd1_P.d_InitialCondition_o,   /* 296: Block Parameter */
  &WheelSpd1_P.d1_InitialCondition_e,  /* 297: Block Parameter */
  &WheelSpd1_P.Constant1_Value_p,      /* 298: Block Parameter */
  &WheelSpd1_P.Constant2_Value_f,      /* 299: Block Parameter */
  &WheelSpd1_P.gain1_Gain_b,           /* 300: Block Parameter */
  &WheelSpd1_P.gain2_Gain_p,           /* 301: Block Parameter */
  &WheelSpd1_P.gain3_Gain,             /* 302: Block Parameter */
  &WheelSpd1_P.gain4_Gain,             /* 303: Block Parameter */
  &WheelSpd1_P.Delay_DelayLength,      /* 304: Block Parameter */
  &WheelSpd1_P.Delay_InitialCondition, /* 305: Block Parameter */
  &WheelSpd1_P.Delay1_DelayLength,     /* 306: Block Parameter */
  &WheelSpd1_P.Delay1_InitialCondition,/* 307: Block Parameter */
  &WheelSpd1_P.Delay2_DelayLength,     /* 308: Block Parameter */
  &WheelSpd1_P.Delay2_InitialCondition,/* 309: Block Parameter */
  &WheelSpd1_P.Delay3_DelayLength,     /* 310: Block Parameter */
  &WheelSpd1_P.Delay3_InitialCondition,/* 311: Block Parameter */
  &WheelSpd1_P.Constant1_Value_l,      /* 312: Block Parameter */
  &WheelSpd1_P.gain2_Gain_c,           /* 313: Block Parameter */
  &WheelSpd1_P.gain3_Gain_o,           /* 314: Block Parameter */
  &WheelSpd1_P.d_InitialCondition_l,   /* 315: Block Parameter */
  &WheelSpd1_P.d1_InitialCondition_g,  /* 316: Block Parameter */
  &WheelSpd1_P.d_InitialCondition_g,   /* 317: Block Parameter */
  &WheelSpd1_P.d1_InitialCondition_a,  /* 318: Block Parameter */
  &WheelSpd1_P.K,                      /* 319: Model Parameter */
  &WheelSpd1_P.P,                      /* 320: Model Parameter */
  &WheelSpd1_P.Ts,                     /* 321: Model Parameter */
  &WheelSpd1_P.Wn,                     /* 322: Model Parameter */
  &WheelSpd1_P.jeta,                   /* 323: Model Parameter */
};

/* Declare Data Run-Time Dimension Buffer Addresses statically */
static int32_T* rtVarDimsAddrMap[] = {
  (NULL)
};

#endif

/* Data Type Map - use dataTypeMapIndex to access this structure */
static TARGET_CONST rtwCAPI_DataTypeMap rtDataTypeMap[] = {
  /* cName, mwName, numElements, elemMapIndex, dataSize, slDataId, *
   * isComplex, isPointer */
  { "unsigned char", "boolean_T", 0, 0, sizeof(boolean_T), SS_BOOLEAN, 0, 0 },

  { "numeric", "CAN_DATATYPE", 0, 0, sizeof(CAN_DATATYPE), SS_STRUCT, 0, 0 },

  { "double", "real_T", 0, 0, sizeof(real_T), SS_DOUBLE, 0, 0 },

  { "unsigned int", "uint32_T", 0, 0, sizeof(uint32_T), SS_UINT32, 0, 0 }
};

#ifdef HOST_CAPI_BUILD
#undef sizeof
#endif

/* Structure Element Map - use elemMapIndex to access this structure */
static TARGET_CONST rtwCAPI_ElementMap rtElementMap[] = {
  /* elementName, elementOffset, dataTypeIndex, dimIndex, fxpIndex */
  { (NULL), 0, 0, 0, 0 },
};

/* Dimension Map - use dimensionMapIndex to access elements of ths structure*/
static const rtwCAPI_DimensionMap rtDimensionMap[] = {
  /* dataOrientation, dimArrayIndex, numDims, vardimsIndex */
  { rtwCAPI_SCALAR, 0, 2, 0 },

  { rtwCAPI_VECTOR, 2, 2, 0 },

  { rtwCAPI_VECTOR, 4, 2, 0 },

  { rtwCAPI_VECTOR, 6, 2, 0 },

  { rtwCAPI_VECTOR, 8, 2, 0 }
};

/* Dimension Array- use dimArrayIndex to access elements of this array */
static const uint_T rtDimensionArray[] = {
  1,                                   /* 0 */
  1,                                   /* 1 */
  1,                                   /* 2 */
  5,                                   /* 3 */
  1,                                   /* 4 */
  2,                                   /* 5 */
  1,                                   /* 6 */
  4,                                   /* 7 */
  1,                                   /* 8 */
  6                                    /* 9 */
};

/* C-API stores floating point values in an array. The elements of this  *
 * are unique. This ensures that values which are shared across the model*
 * are stored in the most efficient way. These values are referenced by  *
 *           - rtwCAPI_FixPtMap.fracSlopePtr,                            *
 *           - rtwCAPI_FixPtMap.biasPtr,                                 *
 *           - rtwCAPI_SampleTimeMap.samplePeriodPtr,                    *
 *           - rtwCAPI_SampleTimeMap.sampleOffsetPtr                     */
static const real_T rtcapiStoredFloats[] = {
  0.002, 0.0
};

/* Fixed Point Map */
static const rtwCAPI_FixPtMap rtFixPtMap[] = {
  /* fracSlopePtr, biasPtr, scaleType, wordLength, exponent, isSigned */
  { (NULL), (NULL), rtwCAPI_FIX_RESERVED, 0, 0, 0 },
};

/* Sample Time Map - use sTimeIndex to access elements of ths structure */
static const rtwCAPI_SampleTimeMap rtSampleTimeMap[] = {
  /* samplePeriodPtr, sampleOffsetPtr, tid, samplingMode */
  { (NULL), (NULL), -1, 0 },

  { (const void *) &rtcapiStoredFloats[0], (const void *) &rtcapiStoredFloats[1],
    1, 0 },

  { (const void *) &rtcapiStoredFloats[1], (const void *) &rtcapiStoredFloats[1],
    0, 0 }
};

static rtwCAPI_ModelMappingStaticInfo mmiStatic = {
  /* Signals:{signals, numSignals,
   *           rootInputs, numRootInputs,
   *           rootOutputs, numRootOutputs},
   * Params: {blockParameters, numBlockParameters,
   *          modelParameters, numModelParameters},
   * States: {states, numStates},
   * Maps:   {dataTypeMap, dimensionMap, fixPtMap,
   *          elementMap, sampleTimeMap, dimensionArray},
   * TargetType: targetType
   */
  { rtBlockSignals, 182,
    (NULL), 0,
    (NULL), 0 },

  { rtBlockParameters, 137,
    rtModelParameters, 5 },

  { (NULL), 0 },

  { rtDataTypeMap, rtDimensionMap, rtFixPtMap,
    rtElementMap, rtSampleTimeMap, rtDimensionArray },
  "float",

  { 817031563U,
    3817607744U,
    1156034830U,
    1884712624U },
  (NULL), 0,
  0
};

/* Function to get C API Model Mapping Static Info */
const rtwCAPI_ModelMappingStaticInfo*
  WheelSpd1_GetCAPIStaticMap(void)
{
  return &mmiStatic;
}

/* Cache pointers into DataMapInfo substructure of RTModel */
#ifndef HOST_CAPI_BUILD

void WheelSpd1_InitializeDataMapInfo(void)
{
  /* Set C-API version */
  rtwCAPI_SetVersion(WheelSpd1_M->DataMapInfo.mmi, 1);

  /* Cache static C-API data into the Real-time Model Data structure */
  rtwCAPI_SetStaticMap(WheelSpd1_M->DataMapInfo.mmi, &mmiStatic);

  /* Cache static C-API logging data into the Real-time Model Data structure */
  rtwCAPI_SetLoggingStaticMap(WheelSpd1_M->DataMapInfo.mmi, (NULL));

  /* Cache C-API Data Addresses into the Real-Time Model Data structure */
  rtwCAPI_SetDataAddressMap(WheelSpd1_M->DataMapInfo.mmi, rtDataAddrMap);

  /* Cache C-API Data Run-Time Dimension Buffer Addresses into the Real-Time Model Data structure */
  rtwCAPI_SetVarDimsAddressMap(WheelSpd1_M->DataMapInfo.mmi, rtVarDimsAddrMap);

  /* Cache C-API rtp Address and size  into the Real-Time Model Data structure */
  WheelSpd1_M->DataMapInfo.mmi.InstanceMap.rtpAddress = rtmGetDefaultParam
    (WheelSpd1_M);
  WheelSpd1_M->DataMapInfo.mmi.staticMap->rtpSize = sizeof(P_WheelSpd1_T);

  /* Cache the instance C-API logging pointer */
  rtwCAPI_SetInstanceLoggingInfo(WheelSpd1_M->DataMapInfo.mmi, (NULL));

  /* Set reference to submodels */
  rtwCAPI_SetChildMMIArray(WheelSpd1_M->DataMapInfo.mmi, (NULL));
  rtwCAPI_SetChildMMIArrayLen(WheelSpd1_M->DataMapInfo.mmi, 0);
}

#else                                  /* HOST_CAPI_BUILD */
#ifdef __cplusplus

extern "C" {

#endif

  void WheelSpd1_host_InitializeDataMapInfo(WheelSpd1_host_DataMapInfo_T
    *dataMap, const char *path)
  {
    /* Set C-API version */
    rtwCAPI_SetVersion(dataMap->mmi, 1);

    /* Cache static C-API data into the Real-time Model Data structure */
    rtwCAPI_SetStaticMap(dataMap->mmi, &mmiStatic);

    /* host data address map is NULL */
    rtwCAPI_SetDataAddressMap(dataMap->mmi, NULL);

    /* host vardims address map is NULL */
    rtwCAPI_SetVarDimsAddressMap(dataMap->mmi, NULL);

    /* Set Instance specific path */
    rtwCAPI_SetPath(dataMap->mmi, path);
    rtwCAPI_SetFullPath(dataMap->mmi, NULL);

    /* Set reference to submodels */
    rtwCAPI_SetChildMMIArray(dataMap->mmi, (NULL));
    rtwCAPI_SetChildMMIArrayLen(dataMap->mmi, 0);
  }

#ifdef __cplusplus

}
#endif
#endif                                 /* HOST_CAPI_BUILD */

/* EOF: WheelSpd1_capi.c */
